# AggregatorV3Interface’s Methods

**decimals**

Get the number of decimal places of the answer.

**Returns** the number of decimal places.

<mark style="color:orange;">**`function`**</mark><mark style="color:orange;">` `</mark><mark style="color:orange;">`decimals()`</mark><mark style="color:orange;">` `</mark><mark style="color:orange;">**`external`**</mark><mark style="color:orange;">` `</mark><mark style="color:orange;">`view returns (uint8)`</mark>

#### **description**

Get the description of the aggregator this proxy points to.

**Returns** the description of the aggregator.

<mark style="color:orange;">**`function`**</mark><mark style="color:orange;">` `</mark><mark style="color:orange;">`description()`</mark><mark style="color:orange;">` `</mark><mark style="color:orange;">**`external`**</mark><mark style="color:orange;">` `</mark><mark style="color:orange;">`view returns (string memory)`</mark>

#### **version**

Get the version of the aggregator this proxy points to.

**Returns** the version of the aggregator.

<mark style="color:orange;">**`function`**</mark><mark style="color:orange;">` `</mark><mark style="color:orange;">`version()`</mark><mark style="color:orange;">` `</mark><mark style="color:orange;">**`external`**</mark><mark style="color:orange;">` `</mark><mark style="color:orange;">`view returns (uint256)`</mark>

#### **getRoundData**

Get the details of the input round ID. The input round ID’s details are the same as getTimestamp(uint256 roundId) method.

**Returns**

* <mark style="color:orange;">`roundId`</mark>: The round ID.
* <mark style="color:orange;">`answer`</mark>: The answer of the round ID.
* <mark style="color:orange;">`startedAt`</mark>: Timestamp of when the round started. (In our case, this value is the same as <mark style="color:orange;">`updatedAt`</mark>)
* <mark style="color:orange;">`updatedAt`</mark>: Timestamp of when the round was updated.
* <mark style="color:orange;">`answeredInRound`</mark>: The round ID of the round in which the answer was computed. (In our case, this value is the same as <mark style="color:orange;">`roundId`</mark>)

```
function getRoundData(uint80 _roundId)
    external 
    view 
    returns (
        uint80 roundId,
        int256 answer,
        uint256 startedAt,
        uint256 updatedAt,
        uint80 answeredInRound
    )
```

#### **latestRoundData**

Get the details of the latest round.

**Returns**

* <mark style="color:orange;">`roundId`</mark>: The round ID.
* <mark style="color:orange;">`answer`</mark>: The answer of the round ID.
* <mark style="color:orange;">`startedAt`</mark>: Timestamp of when the round started. (In our case, this value is the same as <mark style="color:orange;">`updatedAt`</mark>)
* <mark style="color:orange;">`updatedAt`</mark>: Timestamp of when the round was updated.
* <mark style="color:orange;">`answeredInRound`</mark>: The round ID of the round in which the answer was computed. (In our case, this value is the same as <mark style="color:orange;">`roundId`</mark>)

```
function latestRoundData()
    external 
    view 
        returns (
        uint80 roundId,
        int256 answer,
        uint256 startedAt,
        uint256 updatedAt,
        uint80 answeredInRound
    )
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bkcoracle.com/utilities/data-feed-proxy-contract-interface/aggregatorv3interfaces-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
